Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2004-0138

CVE information

Published

17 years ago

Last Modified

5 years ago

CVSSv2.0 Severity

Medium

Impact Analysis

Description

The ELF loader in Linux kernel 2.4 before 2.4.25 allows local users to cause a denial of service (crash) via a crafted ELF file with an interpreter with an invalid arch (architecture), which triggers a BUG() when an invalid VMA is unmapped..

CVSSv2.0 Score

Severity
Medium
Base Score
4.9/10
Exploit Score
3.9/10
Access Vector
Local
Access Complexity
Low
Authentication Required
None
Impact Score
6.9/10
Confidentiality Impact
None
Availability Impact
Complete
Integrity Impact
None

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:o:linux:linux_kernel:2.4.15:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.4.11:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.4.12:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.4.13:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.4.17:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.4.21:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.4.23:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.4.7:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.4.24:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.4.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.4.16:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.4.9:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.4.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.4.20:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.4.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.4.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.4.14:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.4.22:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.4.8:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.4.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.4.10:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.4.18:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.4.19:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.4.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:linux:linux_kernel:2.4.4:*:*:*:*:*:*:*
  Yes
- -